Bug 227563

Summary: Fix Gmail hang bug (rdar://79978150) and discard the speculative fix (bug 227554)
Product: WebKit Reporter: Yijia Huang <yijia_huang>
Component: JavaScriptCoreAssignee: Yijia Huang <yijia_huang>
Status: RESOLVED FIXED    
Severity: Normal CC: ews-watchlist, fpizlo, keith_miller, mark.lam, msaboff, sbarati, tzagallo, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Yijia Huang 2021-06-30 20:32:45 PDT
https://bugs.webkit.org/show_bug.cgi?id=227554 This speculative fix actually disables the pattern matches of UBFX, BFI, and SBFIZ. This patch will fix the instruction check failures in testb3 for those instruction pattern matches on ToT.
Comment 1 Yijia Huang 2021-07-01 08:05:01 PDT
Created attachment 432692 [details]
Patch
Comment 2 Yijia Huang 2021-07-05 16:07:10 PDT
Created attachment 432901 [details]
Patch
Comment 3 Yijia Huang 2021-07-05 16:15:37 PDT
Created attachment 432902 [details]
Patch
Comment 4 EWS 2021-07-06 10:29:36 PDT
Committed r279593 (239419@main): <https://commits.webkit.org/239419@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432902 [details].
Comment 5 Radar WebKit Bug Importer 2021-07-06 10:30:18 PDT
<rdar://problem/80218496>